Page MenuHomePhabricator

Community Bonding evaluation for "WikidataPageBanner extension"
Closed, ResolvedPublic

Description

  • Detailed plan agreed with mentors: Given below
  • Phabricator project created: Wikidata-Page-Banner
  • Meetings with mentors started: Every Wednesday during May, schedule yet to be decided for June,July,August
  • Bonding period report published (see below)

Project Plan

This has been taken from the proposal and slightly tweaked

PeriodTask
Before April 27Request a mediawiki labs instance and a gerrit repository for the extension. Set up the skeleton of the extension such as i18n files and the basic setup
April 27-May25Community bonding period,Interact with the wikivoyage community and refine the banner issues,This also involved creating extension to render a default banner and the parser function responsible for creating the banner functionality(Step 1)
May 25 -June 16Create the script which will fetch the default banner from wikidata,add support for variable size image loading
June 16-June 25Add the options to the parser function mentioned in step 3 to customize pagebanner
June 26-July 18Add styling and scripts to make the extension compatible with Mobile frontend. Also involves making a horizontal-toc render on mobile
July 5-July 25Create the UI to choose the pagebanner image(implement and integrate with banner)
July 19-August 10Wrap up the extension and all its parts to be ready for deployment, introduce unit testing
August 11-August24Test and remove any remaining bugs after deploying on mediawiki-test labs and provide documentation.

Bonding Period report

Tasks Completed

  • Gerrit Repository Setup: T93127 ( Already done before bonding period )
  • PageBanner placeholder created: T94772
  • Add a magic word to add custom PageBanner: T97455
  • Setup a labs-instance for the extension for live changes ( http://pagebanner.wmflabs.org ): T98297
  • Announce about the extension on Wikivoyage: T98944

Minimum viable product

Minimum viable product is the same as mentioned in T93106.

Changes from original plan

The feature of UI for choosing banner image was removed before the bonding period started.

Communication plan

Communication mainly takes place over irc with a weekly meeting to report progress and issues blocking.

Problems faced

  • How to switch between default and custom banner(in relation to which Hooks to use).
  • How to render a variable size image depending upon the client browser.
  • How to fetch the Wikidata value of articles inside php.

Lessons Learnt/Issues identified

A few points mentioned by Nicolas during the meeting of 13th May, are worth noting here regarding the Banners:

  • Current Wikivoyage banners are not displayed correctly on mobile, there are talks about disabling them on mobile, the German Wikivoyage is discussing enabling banners but mobile is the main issue for them.
  • Banner download size. Even though banners are scaled down, it is not perfect, on mobile downloaded image is a bit too heavy, still resized locally.
  • Bigger banners for high-resolution screens (like Retina)
  • What protection level? Banners are subjective, and will probably become a prime target for POV-pushing. Example: Should https://en.wikipedia.org/wiki/Guantanamo_Bay_detention_camp show a beautiful overview picture of the camp with a proud American flag, or a queue of pitiful men in orange suits waiting in the sun? The banner will be shared between various language articles with various protection levels.
  • How to implement TOC sub-items? Are deep links copyable for sharing?
  • Our closest competitor Wikitravel has just implemented banners too, by copying Wikivoyage's code. They look different though, higher and centered TOC. Example: http://wikitravel.org/en/Tokyo/Roppongi.

Event Timeline

Sumit created this task.May 5 2015, 2:41 PM
Sumit updated the task description. (Show Details)
Sumit raised the priority of this task from to Low.
Sumit assigned this task to Jdlrobson.
Sumit added subscribers: happy5214, Phoenix303, Sumit and 8 others.
VcamX removed a subscriber: VcamX.May 6 2015, 7:20 AM
Sumit renamed this task from Community Bonding evaluation for "WIkidataPageBanner extension" to Community Bonding evaluation for "WikidataPageBanner extension".May 23 2015, 3:56 PM
Sumit updated the task description. (Show Details)
Sumit added a subscriber: Nicolas_Raoul.

Looks great. @Jdlrobson, @Nicolas_Raoul, evaluate and close as appropriate.

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 24 2015, 6:46 PM
Jdlrobson closed this task as Resolved.May 26 2015, 10:33 AM

This looks great @Sumit we can talk about this tomorrow during our meeting.
@NiharikaKohli do I need to do anything in Google Melange to evaluate this?

@Jdlrobson, nope. This is good enough.